javax.management.j2ee.statistics

## Interface JMSSessionStats

- All Superinterfaces:
    Stats

      public interface JMSSessionStats
      extends Stats

  Specifies the statistics provided by a JMS session.
  Author:
    Hans Hrasna

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMSConsumerStats[]` | `getConsumers()` Returns an array of JMSConsumerStats that provide statistics about the message consumers associated with the referencing JMS session statistics.
    `CountStatistic` | `getDurableSubscriptionCount()` Number of durable subscriptions.
    `CountStatistic` | `getExpiredMessageCount()` Number of expired messages.
    `CountStatistic` | `getMessageCount()` Number of messages exchanged.
    `TimeStatistic` | `getMessageWaitTime()` Time spent by a message before being delivered.
    `CountStatistic` | `getPendingMessageCount()` Number of pending messages.
    `JMSProducerStats[]` | `getProducers()` Returns an array of JMSProducerStats that provide statistics about the message producers associated with the referencing JMS session statistics.

    - ### Methods inherited from interface javax.management.j2ee.statistics.Stats

      `getStatistic, getStatisticNames, getStatistics`

- - ### Method Detail

    - #### getProducers

          JMSProducerStats[] getProducers()

      Returns an array of JMSProducerStats that provide statistics about the message producers associated with the referencing JMS session statistics.

    - #### getConsumers

          JMSConsumerStats[] getConsumers()

      Returns an array of JMSConsumerStats that provide statistics about the message consumers associated with the referencing JMS session statistics.

    - #### getMessageCount

          CountStatistic getMessageCount()

      Number of messages exchanged.

    - #### getPendingMessageCount

          CountStatistic getPendingMessageCount()

      Number of pending messages.

    - #### getExpiredMessageCount

          CountStatistic getExpiredMessageCount()

      Number of expired messages.

    - #### getMessageWaitTime

          TimeStatistic getMessageWaitTime()

      Time spent by a message before being delivered.

    - #### getDurableSubscriptionCount

          CountStatistic getDurableSubscriptionCount()

      Number of durable subscriptions.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.